apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "configoffre.fullname" . }}
  labels:
    {{- include "configoffre.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.back.replicaCount }}
  selector:
    matchLabels:
      {{- include "configoffre.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        configoffre: back
        {{- include "configoffre.selectorLabels" . | nindent 8 }}
    spec:
    {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
    {{- end }}
      serviceAccountName: {{ include "configoffre.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.back.image.repository }}:{{ .Values.back.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            - name: JWT_SECRETKEY
              value: "{{ .Values.back.db.secretKey }}"
            - name: DB_HOST
              value: "{{ .Values.back.db.host }}"
            - name: DB_USER
              value: "{{ .Values.back.db.user }}"
            - name: DB_PASSWORD
              value: "{{ .Values.back.db.password }}"
            - name: DB_DATABASE
              value: "{{ .Values.back.db.db }}"
          ports:
            - name: http
              containerPort: 3000
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}